 //----------------------------------------------------------------------
//EASTRISING TECHNOLOGY CO,.LTD.//
// Module    : ER-OLED1.45-1C  1.45 INCH OLED  160RGB*128 DOTS
// Lanuage   : C51 Code
// Create    : JAVEN LIU
// Date      : 2019-12-26
// Drive IC  : SEPS525 
// INTERFACE : 8 BIT 8080
// MCU 		 : STC12LE5C60S2
// VDD		 : 3 V
//----------------------------------------------------------------------

#include <stc12c5a.h>
#include <stdio.h>
#include <intrins.h>
#include<SEPS525.h>
#include<SD.h>


//============================================================
//Main 	
main()
{
 unsigned char  num; 		  
 unsigned long j;  
  unsigned int i=0;
  unsigned long AddTemp;//SD card first address . Use Win HXE software check physical addresses.  SD CARD is different, the address is different yet.

  	IE=0x81;
	IP=0x01;
	TCON=0x01;
	int0=1;

 	P1=0xff;
 	P2=0xff;
 	P3=0xff;
 	P0=0xff;
	Initial();
	Fill_RAM(0x00,0x00);			// Clear Screen
	SdInit();         //SD Initial
while(1)
 {
	dispBmp(pic);
	Delay(3);


 	// Scrolling (Partial or Full Screen)
		Second_Screen(0x00,0x9F,0x00,0x7F,0x00,0x9F,0x00,0x7F);
		Screen_Saver_Control(0x01,0x02,0x00,0x00,0x00,0x03,0x10,0x00,0x01,0x00,0x08,0x01);
						// Upward - Full Screen
		Screen_Saver_Control(0x01,0x02,0x00,0x00,0x00,0x03,0x10,0x02,0x01,0x00,0x08,0x01);
						// Downward - Full Screen
		Screen_Saver_Control(0x01,0x02,0x01,0x01,0x01,0x03,0x01,0x00,0x01,0x00,0x08,0x01);
						// Leftward - Full Screen
		Screen_Saver_Control(0x01,0x01,0x02,0x01,0x01,0x03,0x01,0x01,0x01,0x00,0x08,0x01);
						// Rightward - Full Screen
		Screen_Saver_Control(0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00);


	ColorSet(0xf800);	//red
	Delay(3);
	ColorSet(0x07e0);	//green
	Delay(3);
	ColorSet(0x001f);  	//blue
	Delay(3);
	ColorSet(0xffff);	//white
	Delay(3);
	ColorSet(0x07ff);	//lightblue
	Delay(3);
	ColorSet(0xffe0);	//yellow
	Delay(3);
	ColorSet(0xf81f);	//pink
	Delay(3);
	ColorSet(0x0000);  	//black
	Delay(3);
	Display1();
	Delay(3);
	Display2();
	Delay(3);	 
		 //AddTemp=4947968;
		   AddTemp=4653056;
			num=6;		//picture number
		 while(num--)
		 {
		Set_Display_Offset(0x00,0x00);
		Set_Column_Address(0x00,0x9F);
		Set_Row_Address(0x00,0x7F);
		Set_Write_RAM();
		 for(j=0;j<80;j++)   //A picture contains 48 x512 bytes data
		    {
		    SdReadBlock(DATA,AddTemp+(j*512),512);//One time read 512 byte to buffer 
		    for(i=0;i<256;i++)                    //Write buffer data to display.one dots tow byte .512/2=256 dots
			   {   
		   	   DataWrite(DATA[2*i]);
			   DataWrite(DATA[2*i+1]); 	
		       }
		     } 
		     AddTemp = AddTemp+((j+16)*512);        // 20 This value is not data area, SD Card is different, this value, there may be different. Use Win HXE software check the value.
		     Delay(3);                     //Press the STOP button,display next picture
		
			 
		 } 
 }


}


